libsvn-dev_1.9.3-2ubuntu1_amd64.deb


Advertisement

Description

libsvn-dev - Development files for Apache Subversion libraries

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libsvn-dev_1.9.3-2ubuntu1_amd64.deb
Package name libsvn-dev
Package version 1.9.3
Package release 2ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://subversion.apache.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.39 MB
Installed size 7.73 MB
This package contains the symlinks, headers, and object files needed
to compile and link programs which use libsvn1, the Apache Subversion
libraries.  This package is needed only in order to compile software
that uses libsvn1.

Alternatives

Package Version Architecture Repository
libsvn-dev_1.9.3-2ubuntu1.3_i386.deb 1.9.3 i386 Ubuntu Updates Main
libsvn-dev_1.9.3-2ubuntu1.3_amd64.deb 1.9.3 amd64 Ubuntu Updates Main
libsvn-dev_1.9.3-2ubuntu1_i386.deb 1.9.3 i386 Ubuntu Main
libsvn-dev - - -

Requires

Name Value
libapr1-dev -
libaprutil1-dev -
libsvn1 = 1.9.3-2ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libsvn-dev_1.9.3-2ubuntu1_amd64.deb
Source Package subversion

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsvn-dev deb package:
    # sudo apt-get install libsvn-dev

Files

Path
/usr/include/subversion-1/mod_authz_svn.h
/usr/include/subversion-1/mod_dav_svn.h
/usr/include/subversion-1/svn_auth.h
/usr/include/subversion-1/svn_base64.h
/usr/include/subversion-1/svn_cache_config.h
/usr/include/subversion-1/svn_checksum.h
/usr/include/subversion-1/svn_client.h
/usr/include/subversion-1/svn_cmdline.h
/usr/include/subversion-1/svn_compat.h
/usr/include/subversion-1/svn_config.h
/usr/include/subversion-1/svn_ctype.h
/usr/include/subversion-1/svn_dav.h
/usr/include/subversion-1/svn_delta.h
/usr/include/subversion-1/svn_diff.h
/usr/include/subversion-1/svn_dirent_uri.h
/usr/include/subversion-1/svn_dso.h
/usr/include/subversion-1/svn_error.h
/usr/include/subversion-1/svn_error_codes.h
/usr/include/subversion-1/svn_fs.h
/usr/include/subversion-1/svn_hash.h
/usr/include/subversion-1/svn_io.h
/usr/include/subversion-1/svn_iter.h
/usr/include/subversion-1/svn_md5.h
/usr/include/subversion-1/svn_mergeinfo.h
/usr/include/subversion-1/svn_nls.h
/usr/include/subversion-1/svn_opt.h
/usr/include/subversion-1/svn_path.h
/usr/include/subversion-1/svn_pools.h
/usr/include/subversion-1/svn_props.h
/usr/include/subversion-1/svn_quoprint.h
/usr/include/subversion-1/svn_ra.h
/usr/include/subversion-1/svn_ra_svn.h
/usr/include/subversion-1/svn_repos.h
/usr/include/subversion-1/svn_sorts.h
/usr/include/subversion-1/svn_string.h
/usr/include/subversion-1/svn_subst.h
/usr/include/subversion-1/svn_time.h
/usr/include/subversion-1/svn_types.h
/usr/include/subversion-1/svn_user.h
/usr/include/subversion-1/svn_utf.h
/usr/include/subversion-1/svn_version.h
/usr/include/subversion-1/svn_wc.h
/usr/include/subversion-1/svn_x509.h
/usr/include/subversion-1/svn_xml.h
/usr/lib/x86_64-linux-gnu/libsvn_auth_gnome_keyring-1.a
/usr/lib/x86_64-linux-gnu/libsvn_auth_kwallet-1.a
/usr/lib/x86_64-linux-gnu/libsvn_client-1.a
/usr/lib/x86_64-linux-gnu/libsvn_client-1.la
/usr/lib/x86_64-linux-gnu/libsvn_client-1.so
/usr/lib/x86_64-linux-gnu/libsvn_delta-1.a
/usr/lib/x86_64-linux-gnu/libsvn_delta-1.la
/usr/lib/x86_64-linux-gnu/libsvn_delta-1.so
/usr/lib/x86_64-linux-gnu/libsvn_diff-1.a
/usr/lib/x86_64-linux-gnu/libsvn_diff-1.la
/usr/lib/x86_64-linux-gnu/libsvn_diff-1.so
/usr/lib/x86_64-linux-gnu/libsvn_fs-1.a
/usr/lib/x86_64-linux-gnu/libsvn_fs-1.la
/usr/lib/x86_64-linux-gnu/libsvn_fs-1.so
/usr/lib/x86_64-linux-gnu/libsvn_fs_base-1.a
/usr/lib/x86_64-linux-gnu/libsvn_fs_fs-1.a
/usr/lib/x86_64-linux-gnu/libsvn_fs_util-1.a
/usr/lib/x86_64-linux-gnu/libsvn_fs_x-1.a
/usr/lib/x86_64-linux-gnu/libsvn_ra-1.a
/usr/lib/x86_64-linux-gnu/libsvn_ra-1.la
/usr/lib/x86_64-linux-gnu/libsvn_ra-1.so
/usr/lib/x86_64-linux-gnu/libsvn_ra_local-1.a
/usr/lib/x86_64-linux-gnu/libsvn_ra_local-1.la
/usr/lib/x86_64-linux-gnu/libsvn_ra_local-1.so
/usr/lib/x86_64-linux-gnu/libsvn_ra_serf-1.a
/usr/lib/x86_64-linux-gnu/libsvn_ra_serf-1.la
/usr/lib/x86_64-linux-gnu/libsvn_ra_serf-1.so
/usr/lib/x86_64-linux-gnu/libsvn_ra_svn-1.a
/usr/lib/x86_64-linux-gnu/libsvn_ra_svn-1.la
/usr/lib/x86_64-linux-gnu/libsvn_ra_svn-1.so
/usr/lib/x86_64-linux-gnu/libsvn_repos-1.a
/usr/lib/x86_64-linux-gnu/libsvn_repos-1.la
/usr/lib/x86_64-linux-gnu/libsvn_repos-1.so
/usr/lib/x86_64-linux-gnu/libsvn_subr-1.a
/usr/lib/x86_64-linux-gnu/libsvn_subr-1.la
/usr/lib/x86_64-linux-gnu/libsvn_subr-1.so
/usr/lib/x86_64-linux-gnu/libsvn_wc-1.a
/usr/lib/x86_64-linux-gnu/libsvn_wc-1.la
/usr/lib/x86_64-linux-gnu/libsvn_wc-1.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_auth_gnome_keyring.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_auth_kwallet.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_client.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_delta.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_diff.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_fs.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_fs_base.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_fs_fs.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_fs_util.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_fs_x.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_ra.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_ra_local.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_ra_serf.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_ra_svn.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_repos.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_subr.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsvn_wc.pc
/usr/share/doc/libsvn-dev

Changelog

2016-03-14 - Matthias Klose <doko@ubuntu.com>
subversion (1.9.3-2ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Build a python-subversion-dbg package.
- Build-depend on python-all-dbg.
- Only build on requested python versions (X-Python-Versions:).
- debian/patches/verbose-tests: Make tests verbose.
2016-01-15 - James McCoy <jamessan@debian.org>
subversion (1.9.3-2) unstable; urgency=medium
* Remove -Wdate-time from CPPFLAGS passed to swig.  (Closes: #809054)
2016-01-08 - Matthias Klose <doko@ubuntu.com>
subversion (1.9.3-1ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Build a python-subversion-dbg package.
- Build-depend on python-all-dbg.
- Only build on requested python versions (X-Python-Versions:).
- debian/patches/verbose-tests: Make tests verbose.
2015-12-15 - James McCoy <jamessan@debian.org>
subversion (1.9.3-1) unstable; urgency=high
* New upstream release.
+ Security fixes
- CVE-2015-5259: Heap overflow and out-of-bounds read in svn:// protocol
parser
- CVE-2015-5343: Heap overflow and out-of-bounds read in mod_dav_svn
+ Fix dumps of no-op changes with “svnadmin dump”.  (Closes: #803725)
+ Fix segfault when performing a diff when repository is on server root.
(Closes: #802611)
+ Fix translations of commit notifications.  (Closes: #802156)
+ Fix authz with mod_auth_ntlm/mod_auth_kerb.  (Closes: #797216)
+ Restore reporting (un)lock errors as failures.  (Closes: #796781)
2015-11-09 - James McCoy <jamessan@debian.org>
subversion (1.9.2-3) unstable; urgency=medium
* Re-enable libsvn-java on kfreebsd-*.
* Ensure swig2.0 is used to avoid build failures, until upstream figures
out how to work with swig >= 3.0.  (Closes: #804389)
* Fix FTBFS with Ruby 2.2 (Closes: #803589)
+ Add ruby-frozen-nil patch to create a new Object instead of trying to
make modifications to the nil object.
+ Add ruby-test-unit patch to be compatible with the ruby-test-unit gem as
well as the older test-unit API provided by minitest.
2015-12-18 - Colin Watson <cjwatson@ubuntu.com>
subversion (1.9.2-3ubuntu2) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2015-12-10 - Adam Conrad <adconrad@ubuntu.com>
subversion (1.9.2-3ubuntu1) xenial; urgency=medium
* Merge with Debian unstable, remaining changes:
- Build a python-subversion-dbg package.
- Build-depend on python-all-dbg.
- Only build on requested python versions (X-Python-Versions:).
- debian/patches/verbose-tests: Make tests verbose.
* Drop CVE patches that are included in this new upstream version.
2015-10-18 - James McCoy <jamessan@debian.org>
subversion (1.9.2-2) unstable; urgency=medium
* Fix FTBFS with older Ruby versions by using RbConfig['vendorarchdir'] to
find the .a/.la files we're deleting.
2015-09-23 - James McCoy <jamessan@debian.org>
subversion (1.9.2-1) unstable; urgency=medium
* New upstream release
+ Fix crash when saving credentials in kwallet.  (Closes: #736879,
LP: #563179)
2015-09-07 - James McCoy <jamessan@debian.org>
subversion (1.9.1-1) unstable; urgency=medium
* New upstream release
+ Remove direct use of svn_fs_open2 from libsvn_fs_x, thus fixing the
missing svn_fs_open2 symbol.  (Closes: #795160)
* Enable gpg verification of new releases.
* Rename bash-completion file to svn and add symlinks for all other commands
which have completion.  (Closes: #797648)
* debian/tests/libapache2-mod-svn: Stop apache2 before ending the test, to
avoid leaving stray processes running.

See Also

Package Description
libsvn-doc_1.9.3-2ubuntu1_all.deb Developer documentation for libsvn
libsvn-perl_1.9.3-2ubuntu1_amd64.deb Perl bindings for Apache Subversion
libsvn1_1.9.3-2ubuntu1_amd64.deb Shared libraries used by Apache Subversion
libsybdb5_0.91-6.1build1_amd64.deb libraries for connecting to MS SQL and Sybase SQL servers
libsynctex-dev_2015.20160222.37495-1_amd64.deb Tex Live: SyncTeX parser library (development part)
libsynctex1_2015.20160222.37495-1_amd64.deb TeX Live: SyncTeX parser library
libsys-hostname-long-perl_1.5-1_all.deb Figure out the long (fully-qualified) hostname
libsysfs-dev_2.1.0+repack-4_amd64.deb interface library to sysfs - development files
libsysfs2_2.1.0+repack-4_amd64.deb interface library to sysfs
libsystemd-dev_229-4ubuntu4_amd64.deb systemd utility library - development files
libsystemd0_229-4ubuntu4_amd64.deb systemd utility library
libtag1-dev_1.9.1-2.4ubuntu1_amd64.deb audio meta-data library - development files
libtag1-doc_1.9.1-2.4ubuntu1_all.deb audio meta-data library - API documentation
libtag1v5-vanilla_1.9.1-2.4ubuntu1_amd64.deb audio meta-data library - vanilla flavour
libtag1v5_1.9.1-2.4ubuntu1_amd64.deb audio meta-data library
Advertisement
Advertisement